Submit Hint Search The Forums LinksStatsPollsHeadlinesRSS
14,000 hints and counting!

Install a workable Google Gears for Safari 4 Beta Web Browsers
I have found that it can be really annoying trying to get Google Gears to work with Safari. I was able, eventually, to get Google Gears version 0.5.15.0 to work nicely in Safari 4 beta. The install and update process, however, is somewhat of a mess. I had Gears installed with Safari 3, and found that I had to manually remove it first by running this command in Terminal:
/Library/Internet Plug-Ins/Gears.plugin/Contents/Resources/uninstall.command
After uninstalling, then you can go back to the install page and re-install the latest version for Safari 4 Beta. Now enjoy offline Gmail, Gcal, and Google Reader in Safari 4 Beta. I don't know if this version works in Safari 3 though ... does anybody else know? Please chime in below.
    •    
  • Currently 2.00 / 5
  You rated: 3 / 5 (9 votes cast)
 
[15,511 views]  

Install a workable Google Gears for Safari 4 Beta | 8 comments | Create New Account
Click here to return to the 'Install a workable Google Gears for Safari 4 Beta' hint
The following comments are owned by whoever posted them. This site is not responsible for what they say.
Install a workable Google Gears for Safari 4 Beta
Authored by: jofuss55 on Mar 04, '09 07:50:18AM
There are ' around the Terminal codes without which it will not work.

---
I would never die for my beliefs because I might be wrong.
Bertrand Russell (1872-1970)

[ Reply to This | # ]

Install a workable Google Gears for Safari 4 Beta
Authored by: Unsoluble on Mar 04, '09 08:41:52AM
To be a bit more clear:
'/Library/Internet Plug-Ins/Gears.plugin/Contents/Resources/uninstall.command'


[ Reply to This | # ]
Install a workable Google Gears for Safari 4 Beta
Authored by: kiltbear on Mar 04, '09 10:22:55AM

Thanks. The hints team did an awesome job making my hint more readable, over all. I thought I had replaced the tick marks with a backslash before the embedded space.

So, either the ticks around the whole command are needed OR you just need to put a left leaning slash (back slash) before the space and right after the word "Internet"



[ Reply to This | # ]
Install a workable Google Gears for Safari 4 Beta
Authored by: asmeurer on Mar 04, '09 03:13:25PM
Or you could escape the space with a '\':
/Library/Internet Plug-Ins/Gears.plugin/Contents/Resources/uninstall.command

[ Reply to This | # ]
Install a workable Google Gears for Safari 4 Beta
Authored by: claytybob on Mar 07, '09 07:27:53AM

BTW: The does not show up in the comment system...hmmm...



[ Reply to This | # ]
Install a workable Google Gears for Safari 4 Beta
Authored by: openart2001 on Mar 04, '09 08:49:37PM

I've successfully uninstalled Google Gears from Safari using the Terminal command and then reinstalled version 0.15.1. However, this workaround still does not work for me. Any further hint?



[ Reply to This | # ]
Install a workable Google Gears for Safari 4 Beta
Authored by: openart2001 on Mar 04, '09 08:53:12PM

Oops! I meant Google Gears version 0.5.15.0. That's the version that I reinstalled for Safari Beta 4. And still the workaround doesn't work.



[ Reply to This | # ]
Install a workable Google Gears for Safari 4 Beta
Authored by: openart2001 on Mar 08, '09 03:39:23PM

I wish to correct my previous comment. This hint works great after all with Safari 4. What I did wrong was that I re-installed Google Gears directly from a downloaded dmg file after successfully uninstalling it in the Terminal. When I reinstalled it from the install link page of Google Gears, it installed properly. Note that when you do it this way, a fresh version of Google Gears will be downloaded again. Just go ahead with it even if you know you already have an older dmg file.



[ Reply to This | # ]